Loading...
Searching...
No Matches
rot_conf.c File Reference
Rotator API

Rotator Configuration Interface. More...

`#include "hamlib/config.h"`
`#include <stdlib.h>`
`#include <stdio.h>`
`#include <string.h>`
`#include "hamlib/rotator.h"`
`#include "hamlib/port.h"`
`#include "hamlib/rot_state.h"`
`#include "rot_conf.h"`
`#include "token.h"`
`#include "serial_cfg_params.h"`
Include dependency graph for rot_conf.c:

## Functions

int | frontrot_set_conf (ROT *rot, hamlib_token_t token, const char *val)
| Set a rotator state value from alpha input.
int | frontrot_get_conf (ROT *rot, hamlib_token_t token, char *val, int val_len)
| Query data from a rotator state in alpha form.
int | rot_token_foreach (ROT *rot, int(*cfunc)(const struct confparams *, rig_ptr_t), rig_ptr_t data)
| Executes cfunc on all the elements stored in the configuration parameters table.
const struct confparams * | rot_confparam_lookup (ROT *rot, const char *name)
| Query a rotator configuration parameter token by its name.
hamlib_token_t | rot_token_lookup (ROT *rot, const char *name)
| Search for the token ID associated with a rotator configuration parameter token name.
int | rot_set_conf (ROT *rot, hamlib_token_t token, const char *val)
| Set a rotator configuration parameter.
int | rot_get_conf (ROT *rot, hamlib_token_t token, char *val)
| Query the value of a rotator configuration parameter.
int | rot_get_conf2 (ROT *rot, hamlib_token_t token, char *val, int val_len)

## Detailed Description

Rotator Configuration Interface.